[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDataSetScrolledEvent

Specifies an event handler signalled after scrolling a dataset.

## Declaration

Source position: dbgrids.pas line 90

`type TDataSetScrolledEvent = procedure(`
`DataSet: TDataSet;`
`Distance: Integer`
`) of object;`

## Arguments

`DataSet` |  | Dataset for the event.
`Distance` |  | Number of rows and direction for the event.

## Description

TDatasetScrolledEvent specifies an event handler signalled after scrolling a dataset. TDatasetScrolledEvent can be used to perform actions required when the position in the DataSet has changed.

DataSet is the TDataset instance for the event notification.

Distance indicates both the number of rows and the direction for the event notification, for example:

Value
  Meaning
<0
  Scroll toward the beginning of the DataSet
0
  Current row in the DataSet has been refreshed
>0
  Scroll toward the end of the DataSet

TDatasetScrolledEvent is the type used for the OnDataSetScrolled property in TComponentDataLink.

See the TCustomDBGrid.OnDataSetScrolled procedure for an example implementation of TDatasetScrolledEvent.